/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface Service5 which has a Callback
 * interface which is implemented by this class
 * reference gets called when service1 operation1 is invoked
 * @author Bryan Aupperle
 *
 */

#include "Service1.h"
#include "Service9Callback.h"
#include "Service9Proxy.h"
#include <string>

class Service1Callback9Impl : public Service1, Service9Callback {
public:
	// @Property
	std::string serviceName;

	// @Reference(interfaceHeader="Service9.h")
	Service9ProxyPtr reference1;

	Service1Callback9Impl();
	virtual ~Service1Callback9Impl();

	virtual std::string operation1(const std::string input);

	virtual std::string callback1(const std::string input);

};
