/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_5014_TestCase, which tests that the multiplicity of a 
 * <reference/> element of a <component/>  is 0..n where the multiplicity 
 * of the equivalent <reference/> element in the <componentType/> of the 
 * <implementation/> of the <component/> is 1..1
 */
public class ASM_5014_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= "exception";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "ASM_5014", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_5014
