/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;

  

import testClient.TestInvocation;

/**
 * Client for ASM_6004_TestCase, which tests that the <interface/> declared 
 * on a <service/> subelement of a <composite/> is a compatible subset of the 
 * <interface/> declared on the <component/> <service/> reference by the 
 * @promote attribute
 */
public class ASM_6004_TestCase extends BaseJAXWSTestRunner {
 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_6004";
    	config.input 			= "request";
    	config.output[0] 			= "ASM_6004 request service1 operation1 invoked";
    	config.composite 		= "Test_ASM_6004.composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6004
