/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_6014_TestCase, which tests that a <component/> <reference/> 
 * with @autowire=true is wired to a <component/> <service/> with an interface 
 * which is a compatible superset of the interface on the <reference/> in the 
 * same <composite/> 
 */
public class ASM_6014_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_6014";
    	config.input 			= "request";
    	config.output[0] 			= "ASM_6014 request service1 operation1 invoked third operation1 invoked";
    	config.composite 		= "Test_ASM_6014.composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6014
