/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation
 * 1 service with interface Service1
 * 0 references
 * 1 property of type float name="serviceData1"
 *
 * @author Bryan Aupperle
 *
 */

#include "Service1.h"
#include "SCA.h"
#include <stdio.h>

/* @Property */
char serviceName[50];
/* @Property */
float serviceData1;

char *operation1(const char *input) {
	int compCode, reason, size = 50, num_values = 1;
	char *pServiceName = serviceName, *result, serviceData[100];

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);
	SCAPropertyFloat(L"serviceData1", &serviceData1, &num_values, &compCode, &reason);

	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked");
	sprintf(serviceData, "%f", serviceData1);
	strcat(result, serviceData);
	return result;
};
