/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C++ component implementation with
 * 1 service with interface Service1
 * 1 reference (0..n) with interface Service1
 * all configured wires get called when service1 operation1 is invoked
 * @author Bryan Aupperle
 *
 */

#include "Service1Impl4.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service1Impl4::Service1Impl4()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");
	
	return;
}


Service1Impl4::~Service1Impl4()
{
	return; 
}

// Implementation

std::string Service1Impl4::operation1(const std::string input) {
	std::string result;

	ComponentContextPtr context = ComponentContext::getCurrent();

	std::vector<ServiceProxyPtr> service = context->getServices("reference1");

	result = serviceName + " operation1 invoked";

	reference1.clear();	
	Service1ProxyPtr reference;
	for(int i = 0; i < service.size(); i++) {
    		
		reference = dynamicCast<Service1Proxy>(service[i]);
		if (reference) {
			reference1[i] = reference;
			result.append(" ");
			result.append(reference1[i]->operation1(input));
		}
    }
    
	return result;
}
