/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C++ component implementation
 * 1 service with interface Service1
 * 0 references
 * 1 property of type float name="serviceData1"
 *
 * @author Bryan Aupperle
 *
 */

#include "Service1Impl9.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
#include <cstdio>
using namespace oasis::sca;

// Construction/Destruction

Service1Impl9::Service1Impl9()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");
	serviceData1 = properties->getFloat("serviceData1");

	return;
}


Service1Impl9::~Service1Impl9()
{
	return;
}

// Implementation

std::string Service1Impl9::operation1(const std::string input) {
	char serviceData[100];
	sprintf(serviceData, "%f", serviceData1);
	return serviceName + " operation1 invoked" + serviceData;
}
