/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_12008_TestCase
 * Tests that where a contribution contains an <import/> declaration which refers to the namespace 
 * of a referenced artifact and where the artifact is present in a second contribution which exports 
 * the namespace, that the artifact is resolved in the second contribution even though a copy of the 
 * artifact exists in the original contribution
 */
public class ASM_12008_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 9);
    	config.input 			= "request";
    	config.output[0] 		= "exception";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	// 2 contributions ASM_12008 and General - with one artifact imported by the first one existing as conflicting versions
    	// one in ASM_12008 and one in General
    	config.contributionNames	= new String[] { "ASM_12008", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_12008
