/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_5032_TestCase, which tests where a <component/> <service/> 
 * has no <binding/> subelements and the corresponding <service/> element of 
 * the <componentType/> of the <component/> <implementation/> has one or more 
 * <binding/> subelements, the <component/> <service/> is made available with 
 * all the bindings declared on the <service/> element of the <componentType/>
 */
public class ASM_5032_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 		= "ASM_5032 request service1 operation1 invoked service2 operation1 invokedservice2 operation1 invoked";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_5032
