/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;

import testClient.TestInvocation;

/**
 * Client for ASM_5041_TestCase, which tests that where a component <reference/> has no @autowire attribute, 
 * no @target attribute, no <binding/> subelement and is not promoted by a composite reference, and where 
 * the component declares @autowire="true" and where the composite containing the component contains one 
 * target service that is compatible with the reference, that the reference is wired to that target service 
 * and can invoke the service
 */
public class ASM_5041_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_5041";
    	config.input 			= "request";
    	config.output 			= new String[2];
    	config.output[0] 		=  "ASM_5041 request service1 operation1 invoked second operation1 invoked" ;
    	config.composite 		= "Test_ASM_5041.composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "ASM_5041", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_5041
