/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_8008_TestCase
 * Tests that when an <interface/> element of a <component/> <reference/> explicitly declares both a 
 * forward interface and a callback interface that the callback interface is compatible with the 
 * callback interface of the <componentType/> <reference/> element of the <implementation/> used by 
 * the <component/>
 */
public class ASM_8008_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= "exception"; //config.testName + " " + config.input + " service1 operation1 invokedData1Data2" ;
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "ASM_8008", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_8008
